libzypp 17.38.15

ServiceInfo.h File Reference
`#include <set>`
`#include <string>`
`#include <zypp-core/Url.h>`
`#include <zypp-core/base/Iterable.h>`
`#include <zypp/repo/ServiceType.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp-core/Date.h>`

Go to the source code of this file.

## Classes
class | zypp::ServiceInfo
| Service data. More...
struct | zypp::ServiceInfo::RepoState

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
using | zypp::ServiceInfo_Ptr = shared_ptr<ServiceInfo>
| relates: ServiceInfo
using | zypp::ServiceInfo_constPtr = shared_ptr<const ServiceInfo>
| relates: ServiceInfo
using | zypp::ServiceInfoList = std::list<ServiceInfo>
| relates: ServiceInfo

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ServiceInfo &obj) ZYPP_API
| relates: ServiceInfo Stream output